Get an export
curl --request GET \
--url https://app.usertick.com/api/public/v1/exports/{exportId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/exports/{exportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "dddddddd-dddd-4ddd-8ddd-dddddddddddd",
"kind": "results",
"status": "succeeded",
"subject": {
"type": "survey",
"id": "11111111-1111-4111-8111-111111111111",
"name": "Onboarding NPS"
},
"format": "xlsx",
"file": {
"name": "onboarding-nps-results.xlsx",
"contentType": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"bytes": 48213,
"expiresAt": "2026-11-06T10:01:00.000Z"
},
"error": null,
"url": "https://app.usertick.com/api/public/v1/exports/dddddddd-dddd-4ddd-8ddd-dddddddddddd",
"createdAt": "2026-11-05T10:00:00.000Z",
"startedAt": "2026-11-05T10:00:02.000Z",
"finishedAt": "2026-11-05T10:01:00.000Z"
}
Get an export
An export: its status, its file while it is kept, or its error.
Scopes: exports:create.
GET
/
exports
/
{exportId}
Get an export
curl --request GET \
--url https://app.usertick.com/api/public/v1/exports/{exportId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/exports/{exportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "dddddddd-dddd-4ddd-8ddd-dddddddddddd",
"kind": "results",
"status": "succeeded",
"subject": {
"type": "survey",
"id": "11111111-1111-4111-8111-111111111111",
"name": "Onboarding NPS"
},
"format": "xlsx",
"file": {
"name": "onboarding-nps-results.xlsx",
"contentType": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"bytes": 48213,
"expiresAt": "2026-11-06T10:01:00.000Z"
},
"error": null,
"url": "https://app.usertick.com/api/public/v1/exports/dddddddd-dddd-4ddd-8ddd-dddddddddddd",
"createdAt": "2026-11-05T10:00:00.000Z",
"startedAt": "2026-11-05T10:00:02.000Z",
"finishedAt": "2026-11-05T10:01:00.000Z"
}
Authorizations
bearerAuthapiKeyHeader
Response
The export.
Last modified on November 9, 2026